#!/bin/bash

source conf-man/confd.conf
source <(grep prefix conf-man/conf.d/mqtt.toml | sed 's/ *= */=/g')
export ETCDCTL_API=3

# get hostname clientID via CLI

parse_args()
{
    OPTIND=1
    while getopts "h:i:" opt; do
        case ${opt} in
            h ) HOSTNAME="ssl://$OPTARG:8883"
                echo "Got hostname : $HOSTNAME"
              ;;
            i ) CLIENTID=$OPTARG
                echo "Got clientID : $CLIENTID"
              ;;
            * ) echo "unrecognised flag"
              ;;
        esac
    done

    if [ -z "${HOSTNAME+x}" ]; then
        echo "Please provide a hostname"
        exit
    fi
    if [ -z "${CLIENTID+x}" ]; then
        echo "Please provide a clientID"
        exit
    fi
}

parse_args "$@"

# push via etcdctl

echo "Setting hostname"
etcdctl --cacert="${CLIENT_CA_KEYS}" --cert="${CLIENT_CERT}" --key="${CLIENT_KEY}" --endpoints="${NODE}" put "/${prefix}/address" "${HOSTNAME}"
echo "Setting clientID"
etcdctl --cacert="${CLIENT_CA_KEYS}" --cert="${CLIENT_CERT}" --key="${CLIENT_KEY}" --endpoints="${NODE}" put "/${prefix}/clientId" "${CLIENTID}"
