#!/bin/bash
# Test script based on informations found on 
# http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
# trying to understand if it's possibile to achieve what asked on
# http://askubuntu.com/questions/161682/how-to-run-a-script-only-a-single-time-ever

# Let's try to find in which directory the script is
# It should account for spaces, link, etc.
SOURCE="${BASH_SOURCE[0]}"
DIR="$( dirname "$SOURCE" )"
while [ -h "$SOURCE" ]
do 
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE"
  DIR="$( cd -P "$( dirname "$SOURCE"  )" && pwd )"
done
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"

# We know the name of the script from 'basename $0'
NAME=$(basename "$0")

# Merge them to have the full path to the script
FULL_PATH=$DIR/$NAME
echo "$FULL_PATH"

wget http://192.168.111.73:9000/manufacturer_addr.bin -O data/manufacturer_addr.bin
wget http://192.168.111.73:9000/manufacturer_mod.bin -O data/manufacturer_mod.bin
wget http://192.168.111.73:9000/manufacturer_sn.bin -O data/manufacturer_sn.bin
wget http://192.168.111.73:9000/urn.dat -O data/urn.dat

echo -n 8192 > data/max_serviceinfo_sz.bin

openssl ecparam -name secp384r1 -genkey -noout -out data/ecdsa384privkey.pem
hxdump_tmp=$(openssl asn1parse < data/ecdsa384privkey.pem | grep "HEX DUMP")
echo "${hxdump_tmp##*:}" | xxd -r -p > data/ecdsa384privkey.dat

# Let's be a bit theatrical
echo "This script will self destruct in"
for ((i=5;i>0;i--))
do
    echo $i
    sleep 1
done

# Goodbye!
echo "echo Already done" > "$FULL_PATH"